Cracklib(3pm)

NAME
Crypt::Cracklib - Perl interface to Alec Muffett's Cracklib.

SYNOPSIS
  use Crypt::Cracklib;

  my $reason = fascist_check($password, $dictionary);

  print "Ok"  if  check($password, $dictionary);
  print "Bad" if !check($password, $dictionary);

DESCRIPTION
This is a simple interface to the cracklib library.

FUNCTIONS

•   fascist_check( $password, [ $dictionary ] )

    Returns a string value. Either an error, or "ok".

•   bad_pass( $password, [ $dictionary ] )

    Returns a non-empty string on success or an empty string on failure.

•   check( $password, [ $dictionary ] )

    Returns a true or false value if the password is acceptable or not.

AUTHOR
Dan Sully <daniel@cpan.org>

BUGS
Please file bugs at https://github.com/dsully/perl-crypt-cracklib/issues

SEE ALSO
perl(1).